from config.colors import COLORS


class WorldObject:
    def __init__(self, x: float, y: float, obj_type: str):
        self.x = x
        self.y = y
        self.type = obj_type
        self.color = COLORS[obj_type]
        self.radius = 10  # Default radius

        # Set attributes based on type
        if obj_type == "house":
            self.radius = 30
            self.solid = True
            self.render_layer = 2
        elif obj_type == "well":
            self.radius = 20
            self.solid = True
            self.render_layer = 2
        elif obj_type == "tree":
            self.radius = 15
            self.solid = True
            self.render_layer = 2
        elif obj_type == "water":
            self.radius = 10
            self.solid = True
            self.render_layer = 0
            self.is_water = True
        elif obj_type == "path":
            self.radius = 10
            self.solid = False
            self.render_layer = 0
            self.is_path = True
        elif obj_type in ["flower", "mushroom", "tall_grass", "berry_bush"]:
            self.radius = 5
            self.solid = False
            self.render_layer = 1
        else:
            self.solid = False
            self.render_layer = 1

        # Initialize all possible attributes to prevent AttributeError
        self.is_water = getattr(self, "is_water", False)
        self.is_path = getattr(self, "is_path", False)
