import pygame


class FooterBar:
    def __init__(self):
        self.height = 30
        self.font = pygame.font.Font(None, 24)
        self.bg_color = (0, 0, 0, 180)
        self.text_color = (255, 255, 255)

    def draw(self, screen, world):
        # Create semi-transparent surface
        footer_surface = pygame.Surface(
            (screen.get_width(), self.height), pygame.SRCALPHA
        )
        pygame.draw.rect(
            footer_surface, self.bg_color, (0, 0, screen.get_width(), self.height)
        )

        # Create seed text
        seed_text = self.font.render(f"World Seed: {world.seed}", True, self.text_color)

        # Position at bottom of screen
        screen.blit(footer_surface, (0, screen.get_height() - self.height))
        screen.blit(seed_text, (20, screen.get_height() - self.height + 5))
