from config.settings import WINDOW_SIZE


class Camera:
    def __init__(self):
        self.x = 0
        self.y = 0
        self.smoothness = 0.1  # Lower = smoother camera

    def update(self, target):
        """Smoothly follow the target (usually the player)"""
        # Calculate desired position (centered on target)
        desired_x = target.x - WINDOW_SIZE[0] // 2
        desired_y = target.y - WINDOW_SIZE[1] // 2

        # Smooth movement
        self.x += (desired_x - self.x) * self.smoothness
        self.y += (desired_y - self.y) * self.smoothness

    def apply(self, x, y):
        """Convert world coordinates to screen coordinates"""
        return (int(x - self.x), int(y - self.y))

    def reverse_apply(self, screen_x, screen_y):
        """Convert screen coordinates to world coordinates"""
        return (screen_x + self.x, screen_y + self.y)
