# LLM World

A simple 2D RPG game using LLMs to control NPCs behavior.

![LLMRPG](./screenshot.png)

## Important note

This project is made for fun and learning purposes. It is not meant to be a finished product or a good example of how to use LLMs in a game. It is a proof of concept and a starting point for further development. It is created with heavy help from an LLM too, on purpose. This is to demonstrate the potential of LLMs to control complex systems and create interesting behaviors.

## Features

- 2D top-down view
- Procedural world generation with simple rules and objects
- NPCs with unique personalities and behaviors
- NPCs store memories and learn from them
- Weather system with different weather effects
- Time system based on real time
- Save and load game

## Installation

Copy the `env.example` file to `.env` and fill in the missing values if needed.

### Using pip / venv

#### Optional (create virtual environment)

```bash
python -m venv .venv
source .venv/bin/activate
```

#### Install dependencies

```bash
pip install -r requirements.txt
```

### Using uv

```bash
uv venv .venv
uv pip install -r requirements.txt
```

## Run the game

### Using python

```bash
python src/main.py
```

### Using uv

```bash
uv run python src/main.py
```

## Requirements

- An Ollama server running locally or in the location defined in the `.env` file.
